Package: dogesr
Type: Package
Title: Work with the Doges/Dogaresse Dataset
Version: 0.5.2
Maintainer: Juan Julián Merelo-Guervós <jjmerelo@gmail.com>
Authors@R: person(given = c("Juan", "Julián"),
                  family = "Merelo-Guervós",
                  role = c("aut", "cre"),
                  email = "jjmerelo@gmail.com")
Description: Work with data on Venetian doges and dogaresse and the noble families of the Republic of Venice, and use it for social network analysis, as used in Merelo (2022) <doi:10.48550/arXiv.2209.07334>.
License: GPL-3
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5.0)
Suggests: testthat (>= 3.0.0), devtools, tidyr, networkD3, tibble
Config/testthat/edition: 3
Imports: Rdpack, dplyr, ggplot2, ggthemes, knitr, igraph, qpdf,
        rmarkdown
VignetteBuilder: knitr
RdMacros: Rdpack
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2025-06-25 10:01:26 UTC; jmerelo
Author: Juan Julián Merelo-Guervós [aut, cre]
Repository: CRAN
Date/Publication: 2025-06-25 10:20:02 UTC
Built: R 4.3.3; ; 2025-07-04 04:56:18 UTC; unix

exportPattern("^[[:alpha:]]+")
import(dplyr)
import(knitr)
import(qpdf)
import(rmarkdown)
import(ggplot2)
import(ggthemes)
importFrom(Rdpack,reprompt)
importFrom(igraph,graph_from_data_frame,V,"V<-")

  <!-- badges: start -->
  [![Test package](https://github.com/JJ/dogesr/actions/workflows/R-stuff.yml/badge.svg)](https://github.com/JJ/dogesr/actions/workflows/R-stuff.yml)
    [![CRAN status](https://www.r-pkg.org/badges/version/dogesr)](https://CRAN.R-project.org/package=dogesr)
  <!-- badges: end -->

# dogesR

Also available from [CRAN as `dogesr`](https://cran.r-project.org/package=dogesr)
Package (with data) to work with the dogi and dogaresse of the
[Venetian republic](https://en.wikipedia.org/wiki/Republic_of_Venice)
and their relatives. Main intention is to analyze social networks
resulting from marriages and other interactions, but all kind of
useful data is (and will be) included in the package.

## Install

Install released versions from CRAN as usual, or development version
from here

```R
library(devtools)
install_github("JJ/dogesr")
```

## Reference

It grew from the data used in [this
paper](https://arxiv.org/abs/2209.07334); please cite it if you are
using this module:

```
@misc{https://doi.org/10.48550/arxiv.2209.07334,
  doi = {10.48550/ARXIV.2209.07334},
  url = {https://arxiv.org/abs/2209.07334},
  author = {Merelo-Guervós, J. J.},
  keywords = {Social and Information Networks (cs.SI), Computers and Society (cs.CY), FOS: Computer and information sciences, FOS: Computer and information sciences},
  title = {What is a good doge? Analyzing the patrician social network of the Republic of Venice},
  publisher = {arXiv},
  year = {2022},
  copyright = {Creative Commons Attribution Share Alike 4.0 International}
}
```

You can retrieve this reference from the [bibliography
file](inst/doges.bib) along with other references used in examples.

## Examples

This package includes a few vignettes. Once installed, write
`vignette("dogesr")` to check what's available. Also

* `vignette("doges-family-types")` for how to use the family types data set
* `vignette("doges-terms")` to analyze the amount of time the doges lived/ruled using data provided in this package.
* `vignette("doges-social-network")` to get the marriage social network of doges and parents, and make some initial exploration.
* `vignette("doges-split-social-network")` to get the marriage social network of doges and parents for slices of time, from and to specific doges; this one shows how to get the social network before and after the Serrata.
* `vignette("counting-doge-families")` to work with a table of the families doges belonged to and how many times they actually "made doge".
* `vignette("doge-types")` to show the timeline of the different types of families that managed to "make doge".

## Work with data

Check available datasets with `data(package="dogesr")` once it has been loaded.

Data in its original format is stored in the
[`data-raw`](https://github.com/JJ/dogesr/tree/main/data-raw)
directory. If you change that data anyhow, type `make` to rebuild the
R data files (contained in the [`data`](data/) ) directory.

Any further change (columns and suchlike) will also require
modification of the documentation at the [`man`](man/) directory.

## Papers

Please check the
[`reports`](https://github.com/JJ/dogesr/tree/main/reports)
subdirectory for published papers that use this library, and their
sources, which is released under a free license.

## LICENSE

The contents of this repository are (c) JJ Merelo, 2022, 2023, and are released
under the GPL 3 license. Please check the
[`LICENSE`](https://github.com/JJ/dogesr/blob/main/LICENSE) for details.

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load---------------------------------------------------------------------
library(dogesr)
data("doges")
data("families")
data("family.colors")

doge.type <- unname(unlist(family.types[data.doges$Family.doge]))
print(length(doge.type))

doge.type.color <- unname(unlist(family.colors[doge.type]))
print(length(doge.type.color))
doge.timeline <- data.frame(start=data.doges$Start,end=data.doges$End,type=doge.type,color=doge.type.color)

## ----plot---------------------------------------------------------------------
library(ggplot2)
library(ggthemes)
ggplot(doge.timeline,aes(x=doge.timeline$end))+geom_segment(aes(x=start,xend=end,y=doge.type,yend=doge.type,color=doge.type.color))+theme_economist()+theme(legend.position="none")+xlab("Year")

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load, warning=FALSE,message=FALSE----------------------------------------
library(dogesr)
library(igraph)

pre.serrata <- marriage.graph.slice(to="Pietro Gradenigo")
post.serrata <- marriage.graph.slice(from="Marino Zorzi")

## ----simplify-----------------------------------------------------------------
weightify <- function( a.graph ) {
  other.graph <- a.graph
  E(other.graph)$weight <- 1
  other.graph <- simplify(other.graph, edge.attr.comb=list(weight="sum"))
  return(other.graph)
}
pre.serrata <- weightify(pre.serrata)
post.serrata <- weightify(post.serrata)

V(pre.serrata)$EV <- unname(unlist(eigen_centrality(pre.serrata)$vector))
V(post.serrata)$EV <- unname(unlist(eigen_centrality(post.serrata)$vector))
plot(pre.serrata,vertex.size=V(pre.serrata)$EV, layout=layout_nicely, vertex.label.cex=0.7)
plot(post.serrata,vertex.size=V(post.serrata)$EV, layout=layout_nicely, vertex.label.cex=0.7)

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load---------------------------------------------------------------------
library(dogesr)
data("doges")

## ----years--------------------------------------------------------------------
doges.all.years <- data.frame( doge = data.doges$Doge, years = data.doges$Years)

## ----same.year----------------------------------------------------------------
knitr::kable(doges.all.years[doges.all.years$years == 0,]$doge, col.names=NULL)

## ----one.year.or.less---------------------------------------------------------
doges.one.year <- unique(doges.all.years[doges.all.years$years <= 1,])
knitr::kable(doges.one.year[order(doges.one.year$years),],col.names=NULL)

## ----longest.doge-------------------------------------------------------------
knitr::kable(doges.all.years[which.max(doges.all.years$years),])

## ----using.doges.years--------------------------------------------------------
data("doges.years")
knitr::kable(head(doges.years[order(-doges.years$Years),],10))

## ----distribution, fig.cap="This histogram reproduces, with a fixed bin size, Figure 1 in [@smith2021long]."----
library(ggplot2)
library(ggthemes)
ggplot(doges.years, aes(x=Years))+geom_histogram(binwidth=5)+theme_tufte()

## ----boxplot------------------------------------------------------------------
doges.years$Century <- as.factor(doges.years$Century)
ggplot(doges.years, aes(x=Century,y=Years))+geom_boxplot()+theme_tufte()

## ----serrata------------------------------------------------------------------
doges.years$pre.serrata <- TRUE
doges.years[doges.years$Start >= 1297,]$pre.serrata <- FALSE
means <- aggregate(Years ~  pre.serrata, doges.years, mean)
medians <- aggregate(Years ~  pre.serrata, doges.years, median)

## ----wilcox-------------------------------------------------------------------
wilcox.test(doges.years[doges.years$pre.serrata == T,]$Years,   doges.years[doges.years$pre.serrata == F,]$Years )

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load, warning=FALSE,message=FALSE----------------------------------------
library(dogesr)
library(igraph)
doges.sn <- marriage.graph()

## ----simplify-----------------------------------------------------------------
E(doges.sn)$weight <- 1
doges.sn <- simplify(doges.sn, edge.attr.comb=list(weight="sum"))
V(doges.sn)$degree <- degree(doges.sn)
plot(doges.sn,vertex.size=V(doges.sn)$degree, layout=layout_with_kk, vertex.label.cex=0.7)

## ----connected----------------------------------------------------------------
components <- igraph::clusters(doges.sn, mode="weak")
biggest_cluster_id <- which.max(components$csize)
vert_ids <- V(doges.sn)[components$membership == biggest_cluster_id]

doges.sn.connected <- igraph::induced_subgraph(doges.sn, vert_ids)
plot(doges.sn.connected,vertex.size=V(doges.sn.connected)$degree,layout=layout_with_fr, vertex.label.cex=0.7)

## ----newlinks-----------------------------------------------------------------
for (f in c("Pasqualigo","Foscari","Querini")) {
  print(incident(doges.sn,as.numeric(V(doges.sn)[f])))
}

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load,warning=FALSE,message=FALSE-----------------------------------------
# library("dogesr") # If you have already installed this package
devtools::load_all(".") # Comment this, uncomment above if you have installed this package
data("doge.families")

## ----table--------------------------------------------------------------------
knitr::kable(head(doge.families[order(-doge.families$n),],n=10),row.names=F,col.names=c("Doge family","Number of doges"))

## ----family types-------------------------------------------------------------
data("families")
doge.families$type <- unname(family.types[doge.families$Family.doge])
knitr::kable(head(doge.families[order(-doge.families$n),],n=20) %>% select(1,3),row.names=F,col.names=c("Doge family","Family type"))

## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----load---------------------------------------------------------------------
devtools::load_all(".")
data("doges")
data("families")

## ----years--------------------------------------------------------------------
marriages.types <- 
  data.frame( doge.family = data.doges$Family.doge,
              dogaressa.family = data.doges$Family.dogaressa,
              fam.type.doge = unname( unlist ( family.types[ data.doges$Family.doge ] )),
              fam.type.dogaressa = unname( unlist ( family.types[ data.doges$Family.dogaressa ] ))
)
knitr::kable(marriages.types)

## ----types--------------------------------------------------------------------
marriages.just.types <- marriages.types
marriages.just.types$doge.family <- NULL
marriages.just.types$dogaressa.family <- NULL
marriages.just.types$fam.type.doge <- paste0(marriages.just.types$fam.type.doge,"♂")
marriages.just.types$fam.type.dogaressa <- paste0(marriages.just.types$fam.type.dogaressa,"♀")
levs <- c(unique(unlist(marriages.just.types$fam.type.doge, use.names = FALSE)),unique(unlist(marriages.just.types$fam.type.dogaressa, use.names = FALSE)))
types.adjacency <- table(lapply(marriages.just.types, factor, levs))
types.adjacency <- types.adjacency[,-c(1:9)]
types.adjacency <- types.adjacency[-c(10:18),]
knitr::kable(types.adjacency)

## ----sankey-------------------------------------------------------------------
library(tidyr)
library(dplyr)
library(tibble)
links <- types.adjacency  %>% as.data.frame() 
nodes <- data.frame(
  name=c(as.character(links$fam.type.doge), as.character(links$fam.type.dogaressa)) %>% 
    unique()
  )
links$IDsource <- match(links$fam.type.doge, nodes$name)-1 
links$IDtarget <- match(links$fam.type.dogaressa, nodes$name)-1

library(networkD3)
links <- links[ links$Freq > 0,]
sankeyNetwork(Links = links, Nodes = nodes,
                     Source = "IDsource", Target = "IDtarget",
                     Value = "Freq", NodeID = "name", 
                     sinksRight=FALSE)

## ----non.na-------------------------------------------------------------------
types.adjacency <- types.adjacency[-1,-1]
links2 <- types.adjacency  %>% as.data.frame() 
nodes2 <- data.frame(
  name=c(as.character(links2$fam.type.doge), as.character(links2$fam.type.dogaressa)) %>% 
    unique()
  )
links2$IDsource <- match(links2$fam.type.doge, nodes2$name)-1 
links2$IDtarget <- match(links2$fam.type.dogaressa, nodes2$name)-1
links2 <- links2[ links2$Freq > 0,]
sankeyNetwork(Links = links2, Nodes = nodes2,
                     Source = "IDsource", Target = "IDtarget",
                     Value = "Freq", NodeID = "name")

---
title: "Using `dogesr` to work with Venetian doges tenures"
author: "JJ Merelo"
date: "`r Sys.Date()`"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Using `dogesr` to work with Venetian doges tenures}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
bibliography: ../inst/doges.bib
---

```{r setup, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

## Introduction

Since Venetian doges were elected for life, it was apparently a conscious design by the electoral college (composed, after a series of lot drawings and designations of 41 nobles from the Maggior Consiglio) to choose them in such a way that their terms would not last too long [@smith2021long]. Using data from `dogesr` [@dogesr], we will, in this vignette, see to what extent that happened and if there was some evolution during the time the Republic of Venice existed

## Set up

```{r load}
library(dogesr)
data("doges")
```

This will import the data from the `dogesr` package into the `data.doges` data frame. We are interested in the `Doges` and `Years` variables. Let's create a data frame out of that:

```{r years}
doges.all.years <- data.frame( doge = data.doges$Doge, years = data.doges$Years)
```

Several doges only were able to stay alive during the same year

```{r same.year}
knitr::kable(doges.all.years[doges.all.years$years == 0,]$doge, col.names=NULL)
```

And quite a few during one year or less

```{r one.year.or.less}
doges.one.year <- unique(doges.all.years[doges.all.years$years <= 1,])
knitr::kable(doges.one.year[order(doges.one.year$years),],col.names=NULL)
```

So it effectively looks like most doges effectively had a short shelf life. As a matter of fact, the doge that staid in power the longest was

```{r longest.doge}
knitr::kable(doges.all.years[which.max(doges.all.years$years),])
```

Francesco Foscari was elected when he was 50, defeating Pietro Loredan. After being in power for 34 years, he was the only doge forced to abdicate after the *serrata* or new rules electing the doges.

We can see whether this has any kind of influence using now several functions provided by the `dogesr` package next.

## Analyzing the evolution of the effective terms of the doges using `doges.years`

This can be analyzed a but further with a function provided by `dogesr`, `doges.years`. This filters part of the original data, leaving only data needed to work with the doges' terms (or years)

```{r using.doges.years}
data("doges.years")
knitr::kable(head(doges.years[order(-doges.years$Years),],10))
```

First thing we can note is that, among the top 10, there is only one, Leonardo Loredan, who was elected after the aforementioned Francesco Foscari. This was, according to everyone, an unexpected event [@loredan], and he was chosen by the minimum needed to get elected. So he was really an outlier. The distribution in bins of 5 years, below, shows how infrequent was a term of more than 10 years.

> In fact, doges' years of ruling were as short as the life of the common dog.

```{r distribution, fig.cap="This histogram reproduces, with a fixed bin size, Figure 1 in [@smith2021long]."}
library(ggplot2)
library(ggthemes)
ggplot(doges.years, aes(x=Years))+geom_histogram(binwidth=5)+theme_tufte()
```

The distribution is skewed because it includes the first years of the institution. This is the distribution by centuries

```{r boxplot}
doges.years$Century <- as.factor(doges.years$Century)
ggplot(doges.years, aes(x=Century,y=Years))+geom_boxplot()+theme_tufte()
```

There seems to be a clear difference before and after the thirteenth century; there is also a return to longer tenures by the end of the Republic, in the 18th century. Was there a real difference?

```{r serrata}
doges.years$pre.serrata <- TRUE
doges.years[doges.years$Start >= 1297,]$pre.serrata <- FALSE
means <- aggregate(Years ~  pre.serrata, doges.years, mean)
medians <- aggregate(Years ~  pre.serrata, doges.years, median)
```

This difference is significant, as indicated by the Wilcoxon test

```{r wilcox}
wilcox.test(doges.years[doges.years$pre.serrata == T,]$Years,   doges.years[doges.years$pre.serrata == F,]$Years )
```

## Conclusions

As indicated by [@smith2021long], there seems to be evidence that supports the existence of "informal"  limits on the terms of doges of the the Republic of Venice. In their paper they indicate 1172 as a departure point for the term "limits", when the Maggior Consiglio was formed. According to the figure above, there does not seem to be a significant difference between the XII and XIII century in terms of tenure. However, 1297 does seem to be a watershed event, with all terms after that being significantly different to terms prior to it. We can conclude, then, that the Serrata, closing of the Maggior Consiglio to all but a few patrician families, was in fact the event that marked the shift to electing older doges.

This vignette also shows how, using `dogesr`, it becomes significantly easier for everyone with the skill to work with the R language to reproduce or work upon results related to life terms and other Venetian doges data.

## References

---
title: "Using `dogesr` to check Venetian social networks before and after the Serrata"
author: "JJ Merelo"
date: "`r Sys.Date()`"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Using `dogesr` to check Venetian social networks before and after the Serrata}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
bibliography: ../inst/doges.bib
---

```{r setup, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

## Introduction

Using data from `dogesr` [@dogesr], we will, in this vignette, analyze the change of the social network before and after the *Serrata* [@serrata], revealed as a watershed event in the analysis performed in [@histories:jj]

## Set up

The main events that led to the *Serrata* happened during the government of the doge Pietro Gradenigo.
Let's check the effect of that event in the social netWe will then create two networks, one including that doge, the next one with all the others
```{r load, warning=FALSE,message=FALSE}
library(dogesr)
library(igraph)

pre.serrata <- marriage.graph.slice(to="Pietro Gradenigo")
post.serrata <- marriage.graph.slice(from="Marino Zorzi")
```

## Social networks pre and post-Serrata

This will call the function that creates, from raw data, the `igraph` data structure with which we can work. We still need to simplify them to be able to work with it. 
```{r simplify}
weightify <- function( a.graph ) {
  other.graph <- a.graph
  E(other.graph)$weight <- 1
  other.graph <- simplify(other.graph, edge.attr.comb=list(weight="sum"))
  return(other.graph)
}
pre.serrata <- weightify(pre.serrata)
post.serrata <- weightify(post.serrata)

V(pre.serrata)$EV <- unname(unlist(eigen_centrality(pre.serrata)$vector))
V(post.serrata)$EV <- unname(unlist(eigen_centrality(post.serrata)$vector))
plot(pre.serrata,vertex.size=V(pre.serrata)$EV, layout=layout_nicely, vertex.label.cex=0.7)
plot(post.serrata,vertex.size=V(post.serrata)$EV, layout=layout_nicely, vertex.label.cex=0.7)
```

The pre-Serrata graph is on the top, the post-serrata on the bottom. Before the Serrata, there were small (up to 4-5) sets of connected components, the biggest one the "star" around the Tiepolo family (which was an important part of the early XIV century rebellion); however, the Serrata had the effect of connecting the network, mainly because there were many more doges per generation (as explained in [@histories:jj]), but also because marrying became an tactical move to increase the reach of the social network.

It should be noted, however, that doges' marriages were but a small part of the complete Venetian social network; however, it is an important sample that, besides, shows who arrived to the summit of power (or servitude to the state, depending on how you look at it).

## Conclusions

Charting the doges social networks enables insights on the power and social dynamics of the Republic of Venice; being able to look at temporal slices is especially interesting since we can check how certain events influenced the social network.

## References

---
title: "Using `dogesr` to work with Venetian doges family types"
author: "JJ Merelo"
date: "`r Sys.Date()`"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Using `dogesr` to work with Venetian doges family types}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
bibliography: ../inst/doges.bib
---

```{r setup, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

## Introduction

For the longest part of its existence, Venetian noble families used marriage tactically [@Telek2017MarryingTR] to improve the lot of their *case* or dynasties. Since access to nobility was closed by the beginning of the XIV century, and then enlarged little by little, there was a kind of stratification in the nobility, and marrying *older* families was a way of improving the political, commercial and social prospects for your own family.

Using data from `dogesr` [@dogesr], we will, in this vignette, see to what extent that happened and how different types of families married with each other.

## Set up

We load the datasets needed; `doges` describes doges and their marriages, `families` includes data for every noble family.

```{r load}
devtools::load_all(".")
data("doges")
data("families")
```

This will import the data from the `dogesr` package into the `data.doges` data frame, and family data in the `family.types` list. Let's merge them into a single data frame. The table of all family names and their corresponding family type is shown below.`

```{r years}
marriages.types <- 
  data.frame( doge.family = data.doges$Family.doge,
              dogaressa.family = data.doges$Family.dogaressa,
              fam.type.doge = unname( unlist ( family.types[ data.doges$Family.doge ] )),
              fam.type.dogaressa = unname( unlist ( family.types[ data.doges$Family.dogaressa ] ))
)
knitr::kable(marriages.types)
```

Let's create an adjacency matrix for this

```{r types}
marriages.just.types <- marriages.types
marriages.just.types$doge.family <- NULL
marriages.just.types$dogaressa.family <- NULL
marriages.just.types$fam.type.doge <- paste0(marriages.just.types$fam.type.doge,"♂")
marriages.just.types$fam.type.dogaressa <- paste0(marriages.just.types$fam.type.dogaressa,"♀")
levs <- c(unique(unlist(marriages.just.types$fam.type.doge, use.names = FALSE)),unique(unlist(marriages.just.types$fam.type.dogaressa, use.names = FALSE)))
types.adjacency <- table(lapply(marriages.just.types, factor, levs))
types.adjacency <- types.adjacency[,-c(1:9)]
types.adjacency <- types.adjacency[-c(10:18),]
knitr::kable(types.adjacency)
```

The *heaviest* link seem to be between the *evangeliche* and *apostoliche* *cases*, although "Not available" is the heaviest column for doges, who either did not marry or married some non-patrician family; this happened most frequently in the pre-*Serrata* [@serrata] times.

Let's look at this in a Sankey diagram

```{r sankey}
library(tidyr)
library(dplyr)
library(tibble)
links <- types.adjacency  %>% as.data.frame() 
nodes <- data.frame(
  name=c(as.character(links$fam.type.doge), as.character(links$fam.type.dogaressa)) %>% 
    unique()
  )
links$IDsource <- match(links$fam.type.doge, nodes$name)-1 
links$IDtarget <- match(links$fam.type.dogaressa, nodes$name)-1

library(networkD3)
links <- links[ links$Freq > 0,]
sankeyNetwork(Links = links, Nodes = nodes,
                     Source = "IDsource", Target = "IDtarget",
                     Value = "Freq", NodeID = "name", 
                     sinksRight=FALSE)
```

<!-- The "NA" category of families seems to dominate the female part of the diagram, corresponding to dogaresse. The fact that their family name is not available is due either to non-married doges or dogaresse *not* in patrician families, something that was allowed until the so-called "second serrata" that made marriage between nobles and citizens practically impossible [@chojnacki00]. This was common at the beginning of the Republic, which is why *estinte* and *apostoliche* families seem to have that as a preference. It's common, however, throughout. -->

We are mostly interested, however, in the social links formed by different types of noble families, so we will simply eliminate those rows and columns to have a clearer picture.

```{r non.na}
types.adjacency <- types.adjacency[-1,-1]
links2 <- types.adjacency  %>% as.data.frame() 
nodes2 <- data.frame(
  name=c(as.character(links2$fam.type.doge), as.character(links2$fam.type.dogaressa)) %>% 
    unique()
  )
links2$IDsource <- match(links2$fam.type.doge, nodes2$name)-1 
links2$IDtarget <- match(links2$fam.type.dogaressa, nodes2$name)-1
links2 <- links2[ links2$Freq > 0,]
sankeyNetwork(Links = links2, Nodes = nodes2,
                     Source = "IDsource", Target = "IDtarget",
                     Value = "Freq", NodeID = "name")
```

What we see here is the popularity of *apostoliche* dogaresse, and of *ducali* doges. But also how common marrying *up* was. *Apostolochie* families couldn't marry *up*, since they were in the first post-*Serrata* batch, so they married with other similar families as well as *evangeliche*. These, despite being only four families, were quite popular in terms of providing wives for other doges.

*Ducali* families, being newer to the noble families pool, married preferably *up*: *apostoliche*, *vecchie* and *evangeliche*, as well as their own class. Only a relative minority married other *nuove* families. *Nuove* families, however, did not manage to marry into any *apostoliche* family; while the few *nuovissime* and *soldo* (paid positions) also married up, to *apostoliche* and *ducali* families, respectively.

## Conclusions

In [@dogesr] we hinted at the possibility that marrying in Venetian nobles families was done tactically, so that the commercial and political prospects of both families were enhanced. What we examine in this report is how intermarriage among the different types of families work, and found that, in general, family classes tended to marry *older* families, thus improving their position in the social network and/or solidifying it by making links to families with higher social capital.

## References

---
title: "Using `dogesr` to find out about the doges families"
author: "JJ Merelo"
date: "`r Sys.Date()`"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Using `dogesr` to find out about the doges families}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
bibliography: ../inst/doges.bib
---

```{r setup, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

## Introduction

Only men belonging to one of the Venetian noble families could actually become doge after the *Serrata*; however, even if the number of noble families was initially small, it was eventually expanded to include several hundred noble families [@lane2019enlargement]. Not all of them, however, were able to include one of their own in the list of doges; on the other hand, the same serrata brought about informal mechanisms that guaranteed a fast turnover in the job of doge, so that many families would get the chance [@histories:jj]

Using data from `dogesr` [@dogesr], we will, in this vignette, have a look at these families, who they were, and how many of them were there.

## Set up

We load the dataset needed, called `doge.families`.

```{r load,warning=FALSE,message=FALSE}
# library("dogesr") # If you have already installed this package
devtools::load_all(".") # Comment this, uncomment above if you have installed this package
data("doge.families")
```

This will import the data from the `dogesr` package into the `doge.families` *tibble*.

## Ranking families

Here's the ranking of the families with the highest number of doges; the Contarinis and Morosinis, right on top.

```{r table}
knitr::kable(head(doge.families[order(-doge.families$n),],n=10),row.names=F,col.names=c("Doge family","Number of doges"))
```


Which types of families are these? We can use data from the rest of the packages to find out:

```{r family types}
data("families")
doge.families$type <- unname(family.types[doge.families$Family.doge])
knitr::kable(head(doge.families[order(-doge.families$n),],n=20) %>% select(1,3),row.names=F,col.names=c("Doge family","Family type"))
```

## Conclusions

Having a list of doges' family names is convenient and allows you to create visualizations and perform analysis easily, combining it with other datasets.

## References

---
title: "Using `dogesr` for a Venetian doges timeline"
author: "JJ Merelo"
date: "`r Sys.Date()`"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Using `dogesr` for a Venetian doges timeline}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
bibliography: ../inst/doges.bib
---

```{r setup, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

## Introduction

The so called *ducali* families controlled elections to doge in the Republic of Venice for a good part of the early Modern age [@chojnacki1985kinship]. Only nobles were eligible for many of the jobs in the Venetian government, including of course doge. But Venetian nobility was not a homogeneous class, with many divisions based on when and how they effectively became part of the nobility. The families to which the first doges belonged are classified, in this library, as either *estinte* (extinct) or Unknown (in many cases, only the name of the doge is known, not the family name).

The *evangeliche* families are just four, and are part of the families that became noble during the *Serrata* [@lane2019enlargement], same as the *apostoliche* (which were twelve) and the *vecchie*. This set of families are jointly called *lunghi*; the denomination of the rest depends on when they became part of the Golden Book where all families were inscribed: either *nuove* (new) or *nuovissime* (very new); those called *soldi* are simply families that paid their way into nobility, something that became possible in the late stages of the Republic. The *ducali* families are, in fact, *nuove*, but they are just 15 families that were able to include one of their own as doge before the end of the XV century.

As a matter of fact, they monopolized the first job in the Republic for more than two centuries. This vignette tries to visualize this fact, using `dogesr`.

## Set up

```{r load}
library(dogesr)
data("doges")
data("families")
data("family.colors")

doge.type <- unname(unlist(family.types[data.doges$Family.doge]))
print(length(doge.type))

doge.type.color <- unname(unlist(family.colors[doge.type]))
print(length(doge.type.color))
doge.timeline <- data.frame(start=data.doges$Start,end=data.doges$End,type=doge.type,color=doge.type.color)
```

This will import the data from the `dogesr` package into the `data.doges` data frame, as well as the `family.types` and `family.colors`. The first maps family to type, the second family type to a pre-established color, which we would like to keep the same throughout the package for consistency.

Then, we create a data frame for the timeline, with the relevant variables: years when every doge started and ended his tenure, as well as family type and the corresponding color.

## Plotting the timeline

```{r plot}
library(ggplot2)
library(ggthemes)
ggplot(doge.timeline,aes(x=doge.timeline$end))+geom_segment(aes(x=start,xend=end,y=doge.type,yend=doge.type,color=doge.type.color))+theme_economist()+theme(legend.position="none")+xlab("Year")
```

We import the two libraries used for plotting the timeline, and use a specific theme to be able to see lines more clearly. What we see is that there is some alternance between family types, but the timeline is dominated by long stretches where families of a single type succeed each other as doges. Some types of families, notably the one called *soldi*, managed to have a single doge, Ludovico Manin, who was the last one before the extinction of the republic. 

## Conclusions

Using `dogesr` we are able to gather some insight on the power dynamics of the Republic of Venice, and confirm the widely held belief that *ducali* families were in office for the best part of almost three centuries, from the XIV to the XVI century. Except for small gaps, the visualization shows that as a fact.

The reason why fifteen families were essentially the sole drivers of power in Venice for such an extended amount of time is left as an exercise.

## References
